# ValidationMode enum Null safety

Inheritance
  - Object
  - Enum
  - ValidationMode

## Constants

nonStrict → const ValidationMode
  `const ValidationMode(0)`
strictRFC4122 → const ValidationMode
  `const ValidationMode(1)`
values → const List<ValidationMode>

  A constant List of the values in this enum, in order of their declaration.

  `const List<ValidationMode>`

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
index → int

  The integer index of this enum.

  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited